> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get subscription state info

> This is used to fetch the subscription state which can be in any of the following states-

**PENDING** - The subscription is pending on the telco system to be setup and so its not ready to be used.

**ACTIVE** - The subscription is setup on the telco system and data serivce can be used if there is a valid plan attached to it.

**SUSPENDED** - The subscription is paused and NO data service can be used, even from a valid active plan attachment.

**TERMINATED** - The subscription is permanently terminated. No data service can be used and no plan can be attached further.



## OpenAPI

````yaml /openapi.yaml get /v2/subscriptions/{xid}/state-info
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v2/subscriptions/{xid}/state-info:
    parameters:
      - schema:
          type: string
        name: xid
        in: path
        required: true
        description: iccid or id of the subscription
    get:
      tags:
        - SubscriptionV2
      summary: Get subscription state info
      description: >-
        This is used to fetch the subscription state which can be in any of the
        following states-


        **PENDING** - The subscription is pending on the telco system to be
        setup and so its not ready to be used.


        **ACTIVE** - The subscription is setup on the telco system and data
        serivce can be used if there is a valid plan attached to it.


        **SUSPENDED** - The subscription is paused and NO data service can be
        used, even from a valid active plan attachment.


        **TERMINATED** - The subscription is permanently terminated. No data
        service can be used and no plan can be attached further.
      operationId: get-v2-subscriptions-xid-state-info
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  currentState:
                    x-stoplight:
                      id: mhpgmbjbukwum
                    enum:
                      - PENDING
                      - ACTIVE
                      - SUSPENDED
                      - TERMINATED
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````